<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('meet_room_reserve', function (Blueprint $table) {
            $table->id();
            $table->integer('room_id')->comment('会议室id');
            $table->integer('user_id')->comment('预约人id');
            $table->string('user_name')->nullable()->comment('预约人姓名');
            $table->char('user_mobile',11)->nullable()->comment('预约人电话');
            $table->string('title')->nullable()->comment('会议主题');
            $table->integer('number')->comment('参与人数');
            $table->tinyInteger('status')->comment('申请状态 0:已提交 1:已通过 2:会议中 3:已结束,4:已取消')->default(0);
            $table->string('start_time')->comment('开始时间');
            $table->string('end_time')->comment('结束时间');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('meet_room_reserve');
    }
};
